Module
Contents
Index 🔎︎

# Tools

The Tools menu contains commands to check spelling, to trace sheet references, to find mistakes and to define scenarios.

You can also create and assign macros and configure the look and feel of toolbars, menus, keyboard, and set the default options for LibreOffice applications.

## Spellcheck

Checks spelling manually.

## Language

Opens a submenu where you can choose language specific commands.

## AutoCorrect Options

Sets the options for automatically replacing text as you type.

## Goal Seek

Opens a dialogue where you can solve an equation with a variable.

## Solver

Opens the Solver dialogue. A solver allows to solve equations with multiple unknown variables by goal seeking methods.

## Detective

This command activates the Spreadsheet Detective. With the Detective, you can trace the dependencies from the current formula cell to the cells in the spreadsheet.

## Scenarios

Defines a scenario for the selected sheet area.

## Protect Document

The Protect Sheet or Protect Spreadsheet commands prevent changes from being made to cells in the sheets or to sheets in a document. As an option, you can define a password. If a password is defined, removal of the protection is only possible if the user enters the correct password.

## Macros

Lets you record or organise and edit macros.

## Extension Manager

The Extension Manager adds, removes, disables, enables, and updates LibreOffice extensions.

## XML Filter Settings

Opens the XML Filter Settings dialogue, where you can create, edit, delete, and test filters to import and to export XML files.

## Customize

Customizes LibreOffice menus, context menus, shortcut keys, toolbars, and macro assignments to events.

## Options

This command opens a dialogue for a customised program configuration.